Get extracted SDS section data
Returns the AI-extracted structured data from all 16 GHS/CLP sections of the Safety Data Sheet.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use your API key as the token. Obtain from your NextSDS team settings.
In: header
Path Parameters
sdsId*string
SDS document UUID
Format
uuidQuery Parameters
sections?string
Comma-separated list of section numbers to return (e.g. 1,2,3). Omit to return all sections.
Response Body
application/json
application/json
application/json
curl -X GET "https://api.nextsds.com/v1/sds/497f6eca-6276-4993-bfeb-53cbbbba6f08/sections"{
"data": {
"section1": {},
"section2": {},
"section3": {},
"section4": {},
"section5": {},
"section6": {},
"section7": {},
"section8": {},
"section9": {},
"section10": {},
"section11": {},
"section12": {},
"section13": {},
"section14": {},
"section15": {},
"section16": {}
}
}{
"type": "https://api.nextsds.com/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing X-API-Key header"
}{
"type": "https://api.nextsds.com/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "The requested resource was not found"
}